Bug 196529 - Review Request: gtkdatabox
Review Request: gtkdatabox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-23 20:56 EDT by Eric Work
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 13:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Work 2006-06-23 20:56:45 EDT
Spec URL: http://www.ece.ucdavis.edu/~ewwork/repo/development/SPECS/gtkdatabox.spec
SRPM URL: http://www.ece.ucdavis.edu/~ewwork/repo/development/SRPMS/gtkdatabox-0.5.3.0-1.fc5.src.rpm
Description: GtkDatabox is a widget for the GTK+ library designed to display
large amounts of numerical data fast and easy.

This widget is used by a number of graphical applications, such as electronic design automation tools.
Comment 1 Parag AN(पराग) 2006-06-25 23:37:40 EDT
Not an official review as I'm not yet sponsored
Mock build for development i386 is sucessfull
MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package gtkdatabox, in the
format gtkdatabox.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license LGPL.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like INSTALL README.
      - MUST: Package did NOT contained any .la libtool archives.
      - MUST: Header files are going in a -devel package.
      - MUST: Files used by pkgconfig (.pc files) are in a -devel package.
      - MUST: Library files that end in .so (without suffix) are in a -devel
package.
      - MUST: This package contains shared library files located in the dynamic
linker's default paths, and therefore this package is calling ldconfig in %post
and %postun. But Devel package is NOT calling a %post/%postun section that calls
/sbin/ldconfig.
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct
      * devel package contains  the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release} 

What you Need to do:-
      * add %post %postun for devel package also to call ldconfig
Comment 2 Eric Work 2006-06-25 23:48:12 EDT
I guess it sort of makes sense to add the %pre/%post to the devel packages but
the guidelines you pasted in say:

MUST: This package contains shared library files located in the dynamic
linker's default paths, and therefore this package is calling ldconfig in %post
and %postun. But Devel package is NOT calling a %post/%postun section that calls
/sbin/ldconfig.

The last two packages that were approved did not have these, but maybe I should
have added them.
Comment 3 Chris Weyl 2006-07-27 00:59:07 EDT
While the "no-docs" rpmlint warning is normally ignorable, given that there
doesn't appear to be any other documentation available, please include
examples/*.c in -devel under %doc.

Also, given that there is a shared library in the system path in -devel, you
need to put in place the %post/%postun scriptlets that are in place for the
main package.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  (LGPL) License text included in package.
+ source files match upstream:
847d59ea06ef92426b0911785a5f0c8c  gtkdatabox-0.5.3.0.tar.gz
847d59ea06ef92426b0911785a5f0c8c  gtkdatabox-0.5.3.0.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
+ package builds in mock (x86_64: fc5 & devel).
X rpmlint is silent
+ Final provides/requires are sane.
** gtkdatabox-0.5.3.0-1.fc5.x86_64.rpm
== rpmlint
== provides
libgtkdatabox-0.5.3.so.0()(64bit)
gtkdatabox = 0.5.3.0-1.fc5
== requires
/sbin/ldconfig
/sbin/ldconfig
libatk-1.0.so.0()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libcairo.so.2()(64bit)
libdl.so.2()(64bit)
libgdk-x11-2.0.so.0()(64bit)
libgdk_pixbuf-2.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgtk-x11-2.0.so.0()(64bit)
libm.so.6()(64bit)
libpango-1.0.so.0()(64bit)
libpangocairo-1.0.so.0()(64bit)
** gtkdatabox-debuginfo-0.5.3.0-1.fc5.x86_64.rpm
== rpmlint
== provides
libgtkdatabox-0.5.3.so.0.0.0.debug()(64bit)
gtkdatabox-debuginfo = 0.5.3.0-1.fc5
== requires
** gtkdatabox-devel-0.5.3.0-1.fc5.x86_64.rpm
== rpmlint
W: gtkdatabox-devel no-documentation
== provides
gtkdatabox-devel = 0.5.3.0-1.fc5
== requires
gtk2-devel
gtkdatabox = 0.5.3.0-1.fc5
pkgconfig

X shared libraries are present: proper %post/%postun in place for main package
but not -devel.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
O %check is not present; package has no tests suite
X proper scriptlets present (%post/%postun for -devel).
+ code, not content.
+ documentation is (will be) small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers in main package.
+ no pkgconfig files in main package.
+ -devel properly requires main package.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.

Comment 4 Eric Work 2006-08-01 18:55:28 EDT
Sorry I don't have FC5 on my machine right now.  When I get the time later this
week I'll get a build system up and running in VMWare.  I will then add the
ldconfig lines to my devel package as requested.
Comment 5 Eric Work 2006-08-09 02:31:19 EDT
SPEC: http://www.ece.ucdavis.edu/~ewwork/repo/development/SPECS/gtkdatabox.spec
SRPM:
http://www.ece.ucdavis.edu/~ewwork/repo/development/SRPMS/gtkdatabox-0.6.0.0-1.fc5.src.rpm

Sorry for the delay but here is the updated .spec file and .srpm.
I made the requested changes:
* add %post/%postun for -devel
* added examples/*.c to -devel

Also updated to the latest version.
Comment 6 Chris Weyl 2006-08-09 23:22:39 EDT
Spec file reflects requested changes.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.